Both Presenter Creator 3.4.1 and Presenter Player 3.4.1 are NOT compatible with OS X 10.11 El Capitan.


Version 3.4.2 Presenter Creator and Presenter Player can be installed on OS 10.9 and higher; 10.8 and below are not supported.  


Presenter Creator 3.4.2 is not fully compatible with Presenter Player 3.4.1, this combination is not recommended.


* At this time Presenter Player 3.4.2 hardware requirements are Mac Mini late 2012 (or later), Mac Pro Late 2013.


We recommend using Presenter Creator 3.4.1 in case of installations with mixed Presenter Player versions.  View the attachment for more detail regarding El Capitan and ~sedna Presenter.